Bug 115157 - [maintainer update] update net/freeradius to 1.1.7
[maintainer update] update net/freeradius to 1.1.7
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Sergey Matveychuk
Depends on:
  Show dependency treegraph
Reported: 2007-08-02 22:30 UTC by david
Modified: 2007-08-06 07:50 UTC (History)
0 users

See Also:

file.diff (8.75 KB, patch)
2007-08-02 22:30 UTC, david
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description david 2007-08-02 22:30:07 UTC
Update to FreeRADIUS 1.1.7

This release aims to improve stability, and contains tidying up and bug 

New in this version of the FreeBSD port are fixes to various configure.in
files to stop -lpthread mistakenly being used.

There is also a fix to the configure.in of rlm_python to cope with the
libpython being threaded (as seems to be the case for Python 2.5.1, at least
on my machine).

I intend to submit all these patches upstream in due course.

Fix: Patch attached with submission follows:
Comment 1 david 2007-08-03 13:22:31 UTC
For completeness:

Files added in this patch: files/patch-pthread
Files deleted in this patch: <not applicable>

The reference in the release notes to "Checks for more recent FreeBSD 
versions" is a fix to configure.in that handles the GNU style 
gethostbyaddr_r () available in FreeBSD 6.2 and upwards correctly.

Release notes:

2007.07.25 Version 1.1.7 has been released. The focus of this release is 

Feature Improvements

Updated LDAP documentation.

Added note on DH parameters in eap.conf, and debugging messages which 
complain if DH is used, but not configured properly.

Updated the Mikrotik dictionary. Added a note that the sample dictionary 
they supply is broken.

Output more information on blocked threads, which should help narrow 
down which modules is causing the problem.

Added more eDirectory support.

rlm_ldap now prints out attributes in the standard format

Enabled server-side handling of procedures in MySQL

Bug Fixes

Added NT-Hash support for mschap_xlat.

Corrected documentation to point to correct location of files.

Checks for more recent FreeBSD versions.

uses -DLDAP_DEPRECATED to avoid OpenLDAP crashes.

Use correct value for authentication name in rlm_mschap.

Fix over-ride for usernames when use_tunneled_reply = yes.
Comment 2 Sergey Matveychuk freebsd_committer 2007-08-04 19:13:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Take it.
Comment 3 dfilter freebsd_committer 2007-08-06 07:48:39 UTC
sem         2007-08-06 06:48:32 UTC

  FreeBSD ports repository

  Modified files:
    net/freeradius       Makefile distinfo pkg-plist 
  Added files:
    net/freeradius/files patch-pthread 
  - Update to 1.1.7
  PR:             ports/115157
  Submitted by:   maintainer
  Revision  Changes    Path
  1.58      +13 -3     ports/net/freeradius/Makefile
  1.21      +3 -3      ports/net/freeradius/distinfo
  1.1       +157 -0    ports/net/freeradius/files/patch-pthread (new)
  1.30      +7 -5      ports/net/freeradius/pkg-plist
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Sergey Matveychuk freebsd_committer 2007-08-06 07:48:55 UTC
State Changed
From-To: open->closed

Committed. Thanks!